<h1>Login</h1>

<div class="form-check form-switch">
  <input type="checkbox" class="form-check-input" id="flexSwitchLogin" [checked]="checked" (change)="update($event)">
  <label for="flexSwitchLogin" class="form-check-label">{{label}}</label>
</div>

<form *ngIf="!isLoggedIn" [formGroup]="loginForm" (ngSubmit)="onSubmit()">
  <div class="mb-3">
    <label for="inputUsername" class="form-label">Username</label>
    <input type="text" formControlName="username" id="inputUsername" placeholder="Username">
  </div>
  <div class="mb-3">
    <label for="inputPassword" class="form-label">Password</label>
    <input type="password" formControlName="password" id="inputPassword" placeholder="Password">
  </div>
  <button type="submit" class="btn btn-primary">Login</button>
</form>
